import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockIntro from '@/pages/write-a-review/-block-intro';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: ['details'],
};

<Meta title="Intro" component={BlockIntro} argTypes={addControls(argTypes, controls)} />

# Intro

This module appears on /write-a-review.

It is used to show a heading, subheading and description.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockIntro },
		template: `<block-intro v-bind="$props" />`,
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			details: {
				heading: 'Heading',
				sub_heading: 'Subheading',
				description:
					'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Risus quis varius quam quisque. Tellus in metus vulputate eu scelerisque felis imperdiet. Et tortor consequat id porta nibh venenatis cras sed felis.',
			},
		}}
	>
		{Template.bind()}
	</Story>
</Canvas>

# Vue Component Props

<ArgsTable of={BlockIntro} />
